Bug 123789 - bluez-sdp-devel should Requires: bluez-libs-devel
bluez-sdp-devel should Requires: bluez-libs-devel
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: bluez-sdp (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-20 11:44 EDT by Maxim Dziumanenko
Modified: 2007-04-18 13:07 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-01 04:28:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maxim Dziumanenko 2004-05-20 11:44:30 EDT
sdp_lib.h (from bluez-sdp-devel  package) includes
/usr/include/bluetooth/bluetooth.h which belongs to bluez-libs-devel

Version-Release number of selected component (if applicable):
bluez-sdp-1.5-2.1

How reproducible:
Always

Steps to Reproduce:
1.rpm -e bluez-libs-devel 
2.rpm --rebuild libbtctl-0.3-5.1.src.rpm
3.Wait for build errors
  
Actual results:

Expected results:

Additional info:
libbtctl BuildRequires: bluez-sdp-devel only, and build failed if
bluez-sdp-devel does not BuildRequires: bluez-libs-devel.
Comment 1 David Woodhouse 2004-05-20 11:48:13 EDT
bluez-sdp-* is obsolete now. The bluez-libs-2.7 package includes it.

Please check that this is fixed in the packages in my YUM repository
at ftp://ftp.uk.linux.org/pub/people/dwmw2/fc2-mac/ 

These should turn up in rawhide soon I think -- and I suspect I should
push them as updates for fc2 too.

Note You need to log in before you can comment on or make changes to this bug.